{
  "name": "convex-turbo",
  "private": true,
  "engines": {
    "node": "^22.20.0"
  },
  "packageManager": "bun@1.3.6",
  "workspaces": [
    "apps/*",
    "packages/*",
    "tools/*"
  ],
  "catalog": {
    "@eslint/js": "^9.38.0",
    "@tailwindcss/postcss": "^4.1.16",
    "@types/node": "^22.18.12",
    "eslint": "^9.38.0",
    "prettier": "^3.6.2",
    "tailwindcss": "^4.1.16",
    "typescript": "^5.9.3",
    "zod": "^4.1.12"
  },
  "catalogs": {
    "convex": {
      "@convex-dev/auth": "^0.0.81",
      "convex": "^1.28.0"
    },
    "react19": {
      "@types/react": "~19.1.0",
      "@types/react-dom": "~19.1.0",
      "react": "19.1.4",
      "react-dom": "19.1.4"
    }
  },
  "scripts": {
    "build": "turbo run build",
    "clean": "git clean -xdf node_modules",
    "clean:ws": "turbo run clean",
    "dev": "turbo run dev",
    "dev:tunnel": "turbo run dev:tunnel",
    "dev:next": "turbo run dev -F @gib/next -F @gib/backend",
    "dev:expo": "turbo run dev -F @gib/expo -F @gib/backend",
    "dev:backend": "turbo run dev -F @gib/backend",
    "dev:expo:tunnel": "turbo run dev:tunnel -F @gib/expo -F @gib/backend",
    "format": "turbo run format --continue -- --cache --cache-location .cache/.prettiercache",
    "format:fix": "turbo run format --continue -- --write --cache --cache-location .cache/.prettiercache",
    "lint": "turbo run lint --continue -- --cache --cache-location .cache/.eslintcache",
    "lint:fix": "turbo run lint --continue -- --fix --cache --cache-location .cache/.eslintcache",
    "lint:ws": "bunx sherif@latest",
    "postinstall": "bun lint:ws",
    "typecheck": "turbo run typecheck",
    "ui-add": "turbo run ui-add",
    "android": "expo run:android",
    "ios": "expo run:ios"
  },
  "devDependencies": {
    "@gib/prettier-config": "workspace:",
    "@turbo/gen": "^2.7.3",
    "baseline-browser-mapping": "^2.9.14",
    "dotenv-cli": "^10.0.0",
    "prettier": "catalog:",
    "turbo": "^2.7.3",
    "typescript": "catalog:"
  },
  "prettier": "@gib/prettier-config"
}
